cabal-install-3.12.1.0: The command-line interface for Cabal and Hackage.

Safe Haskell | None
Language | Haskell2010

Distribution.Client.Dependency.Types

Synopsis

- data PreSolver = AlwaysModular
- data Solver = Modular
- data PackagesPreferenceDefault
  - = PreferAllLatest
  - | PreferAllOldest
  - | PreferAllInstalled
  - | PreferLatestForSelected

# Documentation

data PreSolver #

All the solvers that can be selected.

Constructors

AlwaysModular |

#### Instances

Instances details

Parsec PreSolver # |
Instance details Defined in Distribution.Client.Dependency.Types Methods parsec :: CabalParsing m => m PreSolver #
Pretty PreSolver # |
Instance details Defined in Distribution.Client.Dependency.Types Methods pretty :: PreSolver -> Doc # prettyVersioned :: CabalSpecVersion -> PreSolver -> Doc #
Structured PreSolver # |
Instance details Defined in Distribution.Client.Dependency.Types Methods structure :: Proxy PreSolver -> Structure # structureHash' :: Tagged PreSolver MD5
Binary PreSolver # |
Instance details Defined in Distribution.Client.Dependency.Types Methods put :: PreSolver -> Put # get :: Get PreSolver # putList :: [PreSolver] -> Put #
Bounded PreSolver # |
Instance details Defined in Distribution.Client.Dependency.Types Methods minBound :: PreSolver # maxBound :: PreSolver #
Enum PreSolver # |

Instance details

Defined in Distribution.Client.Dependency.Types

Methods

succ :: PreSolver -> PreSolver #

pred :: PreSolver -> PreSolver #

toEnum :: Int -> PreSolver #

fromEnum :: PreSolver -> Int #

enumFrom :: PreSolver -> [PreSolver] #

enumFromThen :: PreSolver -> PreSolver -> [PreSolver] #

enumFromTo :: PreSolver -> PreSolver -> [PreSolver] #

enumFromThenTo :: PreSolver -> PreSolver -> PreSolver -> [PreSolver] #

Generic PreSolver # |

Instance details

Defined in Distribution.Client.Dependency.Types

Associated Types

type Rep PreSolver |
Instance details Defined in Distribution.Client.Dependency.Types type Rep PreSolver = D1 ('MetaData "PreSolver" "Distribution.Client.Dependency.Types" "cabal-install-3.12.1.0-G554PkJj2SpDqyarXp9tbt" 'False) (C1 ('MetaCons "AlwaysModular" 'PrefixI 'False) (U1 :: Type -> Type))

Methods

from :: PreSolver -> Rep PreSolver x #

to :: Rep PreSolver x -> PreSolver #

Show PreSolver # |
Instance details Defined in Distribution.Client.Dependency.Types Methods showsPrec :: Int -> PreSolver -> ShowS # show :: PreSolver -> String # showList :: [PreSolver] -> ShowS #
Eq PreSolver # |
Instance details Defined in Distribution.Client.Dependency.Types Methods (==) :: PreSolver -> PreSolver -> Bool # (/=) :: PreSolver -> PreSolver -> Bool #
Ord PreSolver # |
Instance details Defined in Distribution.Client.Dependency.Types Methods compare :: PreSolver -> PreSolver -> Ordering # (<) :: PreSolver -> PreSolver -> Bool # (<=) :: PreSolver -> PreSolver -> Bool # (>) :: PreSolver -> PreSolver -> Bool # (>=) :: PreSolver -> PreSolver -> Bool # max :: PreSolver -> PreSolver -> PreSolver # min :: PreSolver -> PreSolver -> PreSolver #
type Rep PreSolver # |
Instance details Defined in Distribution.Client.Dependency.Types type Rep PreSolver = D1 ('MetaData "PreSolver" "Distribution.Client.Dependency.Types" "cabal-install-3.12.1.0-G554PkJj2SpDqyarXp9tbt" 'False) (C1 ('MetaCons "AlwaysModular" 'PrefixI 'False) (U1 :: Type -> Type))

data Solver #

All the solvers that can be used.

Constructors

Modular |

#### Instances

Instances details

Structured Solver # |
Instance details Defined in Distribution.Client.Dependency.Types Methods structure :: Proxy Solver -> Structure # structureHash' :: Tagged Solver MD5
Binary Solver # |
Instance details Defined in Distribution.Client.Dependency.Types Methods put :: Solver -> Put # get :: Get Solver # putList :: [Solver] -> Put #
Bounded Solver # |
Instance details Defined in Distribution.Client.Dependency.Types Methods minBound :: Solver # maxBound :: Solver #
Enum Solver # |
Instance details Defined in Distribution.Client.Dependency.Types Methods succ :: Solver -> Solver # pred :: Solver -> Solver # toEnum :: Int -> Solver # fromEnum :: Solver -> Int # enumFrom :: Solver -> [Solver] # enumFromThen :: Solver -> Solver -> [Solver] # enumFromTo :: Solver -> Solver -> [Solver] # enumFromThenTo :: Solver -> Solver -> Solver -> [Solver] #
Generic Solver # |

Instance details

Defined in Distribution.Client.Dependency.Types

Associated Types

type Rep Solver |
Instance details Defined in Distribution.Client.Dependency.Types type Rep Solver = D1 ('MetaData "Solver" "Distribution.Client.Dependency.Types" "cabal-install-3.12.1.0-G554PkJj2SpDqyarXp9tbt" 'False) (C1 ('MetaCons "Modular" 'PrefixI 'False) (U1 :: Type -> Type))

Methods

from :: Solver -> Rep Solver x #

to :: Rep Solver x -> Solver #

Show Solver # |
Instance details Defined in Distribution.Client.Dependency.Types Methods showsPrec :: Int -> Solver -> ShowS # show :: Solver -> String # showList :: [Solver] -> ShowS #
Eq Solver # |
Instance details Defined in Distribution.Client.Dependency.Types Methods (==) :: Solver -> Solver -> Bool # (/=) :: Solver -> Solver -> Bool #
Ord Solver # |
Instance details Defined in Distribution.Client.Dependency.Types Methods compare :: Solver -> Solver -> Ordering # (<) :: Solver -> Solver -> Bool # (<=) :: Solver -> Solver -> Bool # (>) :: Solver -> Solver -> Bool # (>=) :: Solver -> Solver -> Bool # max :: Solver -> Solver -> Solver # min :: Solver -> Solver -> Solver #
type Rep Solver # |
Instance details Defined in Distribution.Client.Dependency.Types type Rep Solver = D1 ('MetaData "Solver" "Distribution.Client.Dependency.Types" "cabal-install-3.12.1.0-G554PkJj2SpDqyarXp9tbt" 'False) (C1 ('MetaCons "Modular" 'PrefixI 'False) (U1 :: Type -> Type))

data PackagesPreferenceDefault #

Global policy for all packages to say if we prefer package versions that are already installed locally or if we just prefer the latest available.

Constructors

PreferAllLatest

Always prefer the latest version irrespective of any existing installed version.

- This is the standard policy for upgrade.

PreferAllOldest

Always prefer the oldest version irrespective of any existing installed version or packages explicitly requested.

- This is enabled by --prefer-oldest.

PreferAllInstalled | Always prefer the installed versions over ones that would need to be installed. Secondarily, prefer latest versions (eg the latest installed version or if there are none then the latest source version).

PreferLatestForSelected

Prefer the latest version for packages that are explicitly requested but prefers the installed version for any other packages.

- This is the standard policy for install.

#### Instances

Instances details

Show PackagesPreferenceDefault # |
Instance details Defined in Distribution.Client.Dependency.Types Methods showsPrec :: Int -> PackagesPreferenceDefault -> ShowS # show :: PackagesPreferenceDefault -> String # showList :: [PackagesPreferenceDefault] -> ShowS #